Get a page of consignment tracking
Path Parameters
- Type: stringFormat: uuidconsignment
Id required
Query Parameters
- Type: integerFormat: int32Page
Index The page index of the search.
- Type: integerFormat: int32Page
Size The number of consignments to be returned in the response. Returns pages of up to 500 records.
- Type: stringSearch
Text The search text to filter consignments tracking by. This can be all or part of a consignment tracking carrier name or tracking number.
Responses
- application/json
Request Example for get/v1/consignments/{consignmentId}/tracking
curl 'https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/tracking?PageIndex=1&PageSize=25&SearchText=Example%20Company'
{
"index": 1,
"total": 1,
"consignmentTracking": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"carrierName": null,
"status": "enum (Unknown = 0, Printed = 1, Dispatched = 2, InTransit = 3, OutForDelivery = 4, Delivered = 5, PickupInStore = 6, AttemptedDelivery = 7, Exception = 8, AwaitingCollection = 9, Cancelled = 10, Manifested = 11)",
"trackingUrl": null,
"trackingNumber": null,
"integrationName": null,
"createdUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
"modifiedUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
"lastUpdatedDate": "date (YYYY-MM-DD)"
}
]
}